Skip to content

upsertMethodOperationStep

WRITE

Upsert method operation step.

POST /api/v1/items/upsertMethodOperationStep
curl -X POST '<your-host>/api/v1/items/upsertMethodOperationStep' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "operationId": "string",
    "name": "string",
    "description": "string",
    "type": "Task",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
min length 1
"Task""Value""Measurement""Checkbox""Timestamp""Person""List""File""Inspection"
min 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "operationId": {
      "type": "string",
      "minLength": 1
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "description": {
      "type": "string",
      "minLength": 1
    },
    "type": {
      "type": "string",
      "enum": [
        "Task",
        "Value",
        "Measurement",
        "Checkbox",
        "Timestamp",
        "Person",
        "List",
        "File",
        "Inspection"
      ]
    },
    "unitOfMeasureCode": {
      "type": "string"
    },
    "minValue": {
      "type": [
        "number",
        "null"
      ]
    },
    "maxValue": {
      "type": [
        "number",
        "null"
      ]
    },
    "listValues": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "sortOrder": {
      "type": "number",
      "minimum": 0
    },
    "id": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "operationId",
    "name",
    "description",
    "type",
    "_operation"
  ]
}